package com.yizhi.live.application.feign;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.live.application.vo.*;
import com.yizhi.util.application.domain.BizResponse;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @Date 2020/12/9 1:42 下午
 * @Author lvjianhui
 **/
@FeignClient(name = "live", contextId = "LiveReplayClient")
public interface LiveReplayClient {

    @GetMapping("/job/live/insert/replay")
    @ApiOperation(value = "初始化已存在的直播回放")
    public void insertLiveReplay();

    @GetMapping("/remote/live/transfer/callback")
    @ApiOperation(value = "直播转存成功,保利威回调接口")
    public BizResponse<String> liveTransferCallback(@RequestBody PolyvLiveBackCallbackVo liveBackCallbackVo);

    @PostMapping("/remote/live/replay/list")
    @ApiOperation(value = "管理端根据直播间分页查询所有直播回放")
    public Page<LiveReplayVo> getManageReplayList(@RequestBody LiveReviewsVo liveReviewsVo);

    @PostMapping("/remote/live/replay/status/update")
    @ApiOperation(value = "直播回放上架、下架")
    public Boolean updateReplayStatus(@RequestBody LiveReplayOperationVo liveReplayOperationVo);

    @PostMapping("/remote/live/replay/top/update")
    @ApiOperation(value = "直播回放置顶")
    public Boolean updateReplayTop(@RequestBody LiveReplayOperationVo liveReplayOperationVo);


    @PostMapping("/remote/live/replay/info/update")
    @ApiOperation(value = "直播回放信息修改")
    public Boolean updateReplayInfo(@RequestBody LiveReplayInfoVo infoVo );

}
