package com.yizhi.live.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.live.application.domain.LiveReplay;
import com.yizhi.live.application.request.LiveReleaseReviewReq;
import com.yizhi.live.application.vo.LiveReplayVo;
import com.yizhi.live.application.vo.LiveReviewListVo;
import com.yizhi.util.application.domain.BizResponse;

import java.util.Date;

/**
 * @Date 2020/12/9 9:47 上午
 * @Author lvjianhui
 **/
public interface ILiveReplayService  extends IService<LiveReplay> {
    /**
     * 查询直播回放列表
     */
    Page<LiveReplayVo> getReplayList(LiveReviewListVo liveReviewListVo);

    BizResponse<LiveReplayVo> getReplay(Long replayId);

    /**
     * 查询上架的直播回放列表
     * @param reviewReq 请求入参
     * @return 回放列表
     */
    Page<LiveReplayVo> getReleaseReplayList(LiveReleaseReviewReq reviewReq);

    LiveReplay getByVideoPoolId(String videoPoolId);

    void deleteByUpdateTime(Date date);
}
